:root, [data-bs-theme=light] {
  --bs-primary: #452B54;
  --bs-primary-rgb: 69,43,84;
  --bs-primary-text-emphasis: #1C1122;
  --bs-primary-bg-subtle: #DAD5DD;
  --bs-primary-border-subtle: #B5AABB;
  --bs-secondary: #B38BCB;
  --bs-secondary-rgb: 179,139,203;
  --bs-secondary-text-emphasis: #483851;
  --bs-secondary-bg-subtle: #F0E8F5;
  --bs-secondary-border-subtle: #E1D1EA;
  --bs-success: #7F40A5;
  --bs-success-rgb: 127,64,165;
  --bs-success-text-emphasis: #331A42;
  --bs-success-bg-subtle: #E5D9ED;
  --bs-success-border-subtle: #CCB3DB;
  --bs-light: #E3BDFF;
  --bs-light-rgb: 227,189,255;
  --bs-light-text-emphasis: #5B4C66;
  --bs-light-bg-subtle: #F9F2FF;
  --bs-light-border-subtle: #F4E5FF;
  --bs-dark: #270047;
  --bs-dark-rgb: 39,0,71;
  --bs-dark-text-emphasis: #10001C;
  --bs-dark-bg-subtle: #D4CCDA;
  --bs-dark-border-subtle: #A999B5;
  --bs-body-color: #2E1F2A;
  --bs-body-color-rgb: 46,31,42;
  --bs-body-bg: #E3BDFF;
  --bs-body-bg-rgb: 227,189,255;
  --bs-secondary-color: rgba(46,31,42,0.75);
  --bs-secondary-color-rgb: 46,31,42,0.75;
  --bs-tertiary-color: rgba(46,31,42,0.5);
  --bs-tertiary-color-rgb: 46,31,42,0.5;
  --bs-link-color: #2E1F2A;
  --bs-link-color-rgb: 46,31,42;
  --bs-link-hover-color: #2E1F2A;
  --bs-link-hover-color-rgb: 46,31,42;
}

.btn-primary {
  --bs-btn-color: #fff;
  --bs-btn-bg: #452B54;
  --bs-btn-border-color: #452B54;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #3B2547;
  --bs-btn-hover-border-color: #372243;
  --bs-btn-focus-shadow-rgb: 227,223,229;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #372243;
  --bs-btn-active-border-color: #34203F;
  --bs-btn-disabled-color: #fff;
  --bs-btn-disabled-bg: #452B54;
  --bs-btn-disabled-border-color: #452B54;
}

.btn-outline-primary {
  --bs-btn-color: #452B54;
  --bs-btn-border-color: #452B54;
  --bs-btn-focus-shadow-rgb: 69,43,84;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #452B54;
  --bs-btn-hover-border-color: #452B54;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #452B54;
  --bs-btn-active-border-color: #452B54;
  --bs-btn-disabled-color: #452B54;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #452B54;
}

.btn-secondary {
  --bs-btn-color: #000000;
  --bs-btn-bg: #B38BCB;
  --bs-btn-border-color: #B38BCB;
  --bs-btn-hover-color: #000000;
  --bs-btn-hover-bg: #BE9CD3;
  --bs-btn-hover-border-color: #BB97D0;
  --bs-btn-focus-shadow-rgb: 27,21,30;
  --bs-btn-active-color: #000000;
  --bs-btn-active-bg: #C2A2D5;
  --bs-btn-active-border-color: #BB97D0;
  --bs-btn-disabled-color: #000000;
  --bs-btn-disabled-bg: #B38BCB;
  --bs-btn-disabled-border-color: #B38BCB;
}

.btn-outline-secondary {
  --bs-btn-color: #B38BCB;
  --bs-btn-border-color: #B38BCB;
  --bs-btn-focus-shadow-rgb: 179,139,203;
  --bs-btn-hover-color: #000000;
  --bs-btn-hover-bg: #B38BCB;
  --bs-btn-hover-border-color: #B38BCB;
  --bs-btn-active-color: #000000;
  --bs-btn-active-bg: #B38BCB;
  --bs-btn-active-border-color: #B38BCB;
  --bs-btn-disabled-color: #B38BCB;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #B38BCB;
}

.btn-success {
  --bs-btn-color: #fff;
  --bs-btn-bg: #7F40A5;
  --bs-btn-border-color: #7F40A5;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #6C368C;
  --bs-btn-hover-border-color: #663384;
  --bs-btn-focus-shadow-rgb: 236,226,242;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #663384;
  --bs-btn-active-border-color: #5F307C;
  --bs-btn-disabled-color: #fff;
  --bs-btn-disabled-bg: #7F40A5;
  --bs-btn-disabled-border-color: #7F40A5;
}

.btn-outline-success {
  --bs-btn-color: #7F40A5;
  --bs-btn-border-color: #7F40A5;
  --bs-btn-focus-shadow-rgb: 127,64,165;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #7F40A5;
  --bs-btn-hover-border-color: #7F40A5;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #7F40A5;
  --bs-btn-active-border-color: #7F40A5;
  --bs-btn-disabled-color: #7F40A5;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #7F40A5;
}

.btn-light {
  --bs-btn-color: #000000;
  --bs-btn-bg: #E3BDFF;
  --bs-btn-border-color: #E3BDFF;
  --bs-btn-hover-color: #000000;
  --bs-btn-hover-bg: #C1A1D9;
  --bs-btn-hover-border-color: #B697CC;
  --bs-btn-focus-shadow-rgb: 34,28,38;
  --bs-btn-active-color: #000000;
  --bs-btn-active-bg: #B697CC;
  --bs-btn-active-border-color: #AA8EBF;
  --bs-btn-disabled-color: #000000;
  --bs-btn-disabled-bg: #E3BDFF;
  --bs-btn-disabled-border-color: #E3BDFF;
}

.btn-outline-light {
  --bs-btn-color: #E3BDFF;
  --bs-btn-border-color: #E3BDFF;
  --bs-btn-focus-shadow-rgb: 227,189,255;
  --bs-btn-hover-color: #000000;
  --bs-btn-hover-bg: #E3BDFF;
  --bs-btn-hover-border-color: #E3BDFF;
  --bs-btn-active-color: #000000;
  --bs-btn-active-bg: #E3BDFF;
  --bs-btn-active-border-color: #E3BDFF;
  --bs-btn-disabled-color: #E3BDFF;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #E3BDFF;
}

.btn-dark {
  --bs-btn-color: #fff;
  --bs-btn-bg: #270047;
  --bs-btn-border-color: #270047;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #21003C;
  --bs-btn-hover-border-color: #1F0039;
  --bs-btn-focus-shadow-rgb: 223,217,227;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #1F0039;
  --bs-btn-active-border-color: #1D0035;
  --bs-btn-disabled-color: #fff;
  --bs-btn-disabled-bg: #270047;
  --bs-btn-disabled-border-color: #270047;
}

.btn-outline-dark {
  --bs-btn-color: #270047;
  --bs-btn-border-color: #270047;
  --bs-btn-focus-shadow-rgb: 39,0,71;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #270047;
  --bs-btn-hover-border-color: #270047;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #270047;
  --bs-btn-active-border-color: #270047;
  --bs-btn-disabled-color: #270047;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #270047;
}

[data-bs-theme=dark] {
  --bs-secondary: #eee9f1;
  --bs-secondary-rgb: 238,233,241;
  --bs-secondary-text-emphasis: #F5F2F7;
  --bs-secondary-bg-subtle: #302F30;
  --bs-secondary-border-subtle: #8F8C91;
  --bs-dark: #270047;
  --bs-dark-rgb: 39,0,71;
  --bs-dark-text-emphasis: #7D6691;
  --bs-dark-bg-subtle: #08000E;
  --bs-dark-border-subtle: #17002B;
  --bs-body-color: #EEE9F1;
  --bs-body-color-rgb: 238,233,241;
  --bs-body-bg: #270042;
  --bs-body-bg-rgb: 39,0,66;
  --bs-secondary-color: rgba(238,233,241,0.75);
  --bs-secondary-color-rgb: 238,233,241,0.75;
  --bs-tertiary-color: rgba(238,233,241,0.5);
  --bs-tertiary-color-rgb: 238,233,241,0.5;
  --bs-link-color: #EEE9F1;
  --bs-link-color-rgb: 238,233,241;
  --bs-link-hover-color: #EEE9F1;
  --bs-link-hover-color-rgb: 238,233,241;
}

[data-bs-theme=dark] .btn-secondary, .btn-secondary[data-bs-theme=dark] {
  --bs-btn-color: #000000;
  --bs-btn-bg: #eee9f1;
  --bs-btn-border-color: #eee9f1;
  --bs-btn-hover-color: #000000;
  --bs-btn-hover-bg: #F1ECF3;
  --bs-btn-hover-border-color: #F0EBF2;
  --bs-btn-focus-shadow-rgb: 36,35,36;
  --bs-btn-active-color: #000000;
  --bs-btn-active-bg: #F1EDF4;
  --bs-btn-active-border-color: #F0EBF2;
  --bs-btn-disabled-color: #000000;
  --bs-btn-disabled-bg: #eee9f1;
  --bs-btn-disabled-border-color: #eee9f1;
}

[data-bs-theme=dark] .btn-outline-secondary, .btn-outline-secondary[data-bs-theme=dark] {
  --bs-btn-color: #eee9f1;
  --bs-btn-border-color: #eee9f1;
  --bs-btn-focus-shadow-rgb: 238,233,241;
  --bs-btn-hover-color: #000000;
  --bs-btn-hover-bg: #eee9f1;
  --bs-btn-hover-border-color: #eee9f1;
  --bs-btn-active-color: #000000;
  --bs-btn-active-bg: #eee9f1;
  --bs-btn-active-border-color: #eee9f1;
  --bs-btn-disabled-color: #eee9f1;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #eee9f1;
}

[data-bs-theme=dark] .btn-dark, .btn-dark[data-bs-theme=dark] {
  --bs-btn-color: #fff;
  --bs-btn-bg: #270047;
  --bs-btn-border-color: #270047;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #21003C;
  --bs-btn-hover-border-color: #1F0039;
  --bs-btn-focus-shadow-rgb: 223,217,227;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #1F0039;
  --bs-btn-active-border-color: #1D0035;
  --bs-btn-disabled-color: #fff;
  --bs-btn-disabled-bg: #270047;
  --bs-btn-disabled-border-color: #270047;
}

[data-bs-theme=dark] .btn-outline-dark, .btn-outline-dark[data-bs-theme=dark] {
  --bs-btn-color: #270047;
  --bs-btn-border-color: #270047;
  --bs-btn-focus-shadow-rgb: 39,0,71;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #270047;
  --bs-btn-hover-border-color: #270047;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #270047;
  --bs-btn-active-border-color: #270047;
  --bs-btn-disabled-color: #270047;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #270047;
}

